Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookSyncTask

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncObject
          local.tomas.mobile.sync.obj.desktop.OutlookRecurrableObject
              local.tomas.mobile.sync.obj.desktop.OutlookSyncTask

All Implemented Interfaces:
  SyncObject

    public class OutlookSyncTask

extends OutlookRecurrableObject

Constructor Summary
`OutlookSyncTask(local.tomas.outlook.OutlookTask item)`

Method Summary
`protected void` | `clearRecurrencePattern()`
`protected com.jacob.com.Dispatch` | `getDispatch()`
`java.lang.String` | `getName()`
`protected OutlookInstance` | `getOutlookInstance()`
`protected com.jacobgen.microsoft.outlook.RecurrencePattern` | `getRecurrencePattern()`
`protected boolean` | `hasDuration()`
`protected boolean` | `isRecurring()`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookRecurrableObject
`getAttribute, setAttribute`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncObject
`getLastModificationTime, getUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookSyncTask

    public OutlookSyncTask(local.tomas.outlook.OutlookTask item)

Method Detail

### getDispatch

    protected com.jacob.com.Dispatch getDispatch()

  Specified by:
    `getDispatch` in class `OutlookSyncObject`

### getName

    public java.lang.String getName()

### getOutlookInstance

    protected OutlookInstance getOutlookInstance()

  Specified by:
    `getOutlookInstance` in class `OutlookSyncObject`

### clearRecurrencePattern

    protected void clearRecurrencePattern()

  Specified by:
    `clearRecurrencePattern` in class `OutlookRecurrableObject`

### getRecurrencePattern

    protected com.jacobgen.microsoft.outlook.RecurrencePattern getRecurrencePattern()

  Specified by:
    `getRecurrencePattern` in class `OutlookRecurrableObject`

### isRecurring

    protected boolean isRecurring()

  Specified by:
    `isRecurring` in class `OutlookRecurrableObject`

### hasDuration

    protected boolean hasDuration()

  Specified by:
    `hasDuration` in class `OutlookRecurrableObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.